Subject: Re: [PATCH net-next-2.6 00/12] Convert more drivers to ethtool set_phys_id

From: Stephen Hemminger <[email-masked]>
Date: Mon, 4 Apr 2011 13:52:41 -0700

On Mon, 04 Apr 2011 13:32:44 -0700
Jeff Kirsher <[email-masked]> wrote:

> On Mon, 2011-04-04 at 13:14 -0700, Stephen Hemminger wrote:
> > On Mon, 4 Apr 2011 12:53:14 -0700
> > Jeff Kirsher <[email-masked]> wrote:
> > 
> > > On Mon, Apr 4, 2011 at 11:43, Stephen Hemminger <[email-masked]> wrote:
> > > > Did a bunch of the easy drivers to convert.
> > > >
> > > >
> > > 
> > > I have added patches 3-9 (Intel driver conversions) to my queue of
> > > patches.  Thanks Stephen.
> > 
> > I changed the behaviour of igbvf for 'ethtool -p' to return not supported.
> > This seems correct, but it may break somebody who has some weird script running
> > in a virt environment.
> 
> I also noticed you did not convert ixgbevf, so we will take a look at
> your changes for igbvf and come up with a patch for ixgbevf.

ixgbevf has no hook for phys_id and therefore no change is needed.